package com.cku.dao;

import org.apache.ibatis.annotations.Param;

import com.cku.model.DogNewBorn;
import com.cku.model.DogNewBornWithBLOBs;

public interface DogNewBornMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(DogNewBornWithBLOBs record);

    int insertSelective(DogNewBornWithBLOBs record);

    DogNewBornWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DogNewBornWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(DogNewBornWithBLOBs record);

    int updateByPrimaryKey(DogNewBorn record);

    /**
     * 
     * @Description：根据日期查询当日最大配种证明号
     * @author: zhuoHeng
     * @version: 2016年7月28日 下午4:26:42
     */
    String getMaxBreedCertifiedNum(@Param("breedCertifiedNum") String breedCertifiedNum);
    
}